<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * Dashboard. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @author 				lin3s
 * @link 				https://lin3s.com
 * @since 				1.0.0
 * @package 			Alexandria_Conversation_Builder
 *
 * @wordpress-plugin
 * Plugin Name: 		Conversation Builder
 * Plugin URI: 			https://lin3s.com
 * Description: 		Construye tu conversación desafiante con sólo 3 inputs
 * Version: 			1.1.0
 * Author: 				lin3s
 * Author URI: 			https://lin3s.com/
 * License: 			GPL-2.0+
 * License URI: 		http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: 		alexandria-conversation-builder
 * Domain Path: 		/languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Used for referring to the plugin file or basename
if ( ! defined( 'ALEXANDRIA_CONVERSATION_BUILDER_FILE' ) ) {
	define( 'ALEXANDRIA_CONVERSATION_BUILDER_FILE', plugin_basename( __FILE__ ) );
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-quiz-game-activator.php
 */
function activate_Alexandria_Conversation_Builder() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/alexandria-conversation-builder-activator.php';
	Alexandria_Conversation_Builder_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-quiz-game-deactivator.php
 */
function deactivate_Alexandria_Conversation_Builder() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/alexandria-conversation-builder-deactivator.php';
	Alexandria_Conversation_Builder_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_Alexandria_Conversation_Builder' );
register_deactivation_hook( __FILE__, 'deactivate_Alexandria_Conversation_Builder' );

/**
 * The core plugin class that is used to define internationalization,
 * dashboard-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/alexandria-conversation-builder.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since 		1.0.0
 */
function run_Alexandria_Conversation_Builder() {

	$plugin = new Alexandria_Conversation_Builder();
	$plugin->run();

}
run_Alexandria_Conversation_Builder();
