<?php

/**
 * The template Interlocutors.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

?>

<div id="interlocutors-section" class="alexandria-section active">

	<div class="alexandria-section-title-wrapper">

		<div class="alexandria-section-title">
			<h2><?php esc_html_e('Interlocutor', 'alexandria-conversation-builder'); ?></h2>
		</div>

		<div class="alexandria-section-subtitle">
			<h3><?php esc_html_e('Selecciona el tipo de interlocutor al que te vas a dirigir', 'alexandria-conversation-builder'); ?></h3>
		</div>

	</div>

	<div class="alexandria-builder-block">

		<div class="interlocutors-wrapper">

			<?php if( $args['interlocutors'] ) : 

				foreach ( $args['interlocutors'] as $interlocutor ) { ?>

					<div class="interlocutor-item" data-interlocutor_id="<?php echo $interlocutor->ID ?>">
						<span><?php echo $interlocutor->post_title ?></span>
					</div>

				<?php } else : ?>

				<div class="interlocutor-item">
					<span>
						<?php esc_html_e('No hay interlocutores', 'alexandria-conversation-builder'); ?>
					</span>
				</div>

			<?php endif; ?>

		</div>	

	</div>

</div>